Bug 1913195 - globus-net-manager fails to build with Python 3.10: context_test fails
Summary: globus-net-manager fails to build with Python 3.10: context_test fails
Keywords:
Status: POST
Alias: None
Product: Fedora
Classification: Fedora
Component: globus-net-manager
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mattias Ellert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2021-01-06 08:52 UTC by Tomáš Hrnčiar
Modified: 2021-02-09 16:24 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Tomáš Hrnčiar 2021-01-06 08:52:49 UTC
globus-net-manager fails to build with Python 3.10.0a4.

=================================================
   globus_net_manager 1.5: test/test-suite.log
=================================================

# TOTAL: 6
# PASS:  5
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: context_test
==================

1..23
ok 1 - context_init_null_test
ok 2 - context_destroy_null_test
ok 3 - context_init_destroy_test
ok 4 - context_init_multiple_modules_destroy_test
ok 5 - context_pre_listen_null_test
ok 6 - context_pre_listen_test
ok 7 - context_post_listen_null_test
ok 8 - context_post_listen_test
ok 9 - context_end_listen_null_test
ok 10 - context_end_listen_test
ok 11 - context_pre_accept_null_test
ok 12 - context_pre_accept_test
ok 13 - context_post_accept_null_test
ok 14 - context_post_accept_test
ok 15 - context_pre_connect_null_test
ok 16 - context_pre_connect_test
ok 17 - context_post_connect_null_test
ok 18 - context_post_connect_test
ok 19 - context_pre_close_null_test
ok 20 - context_pre_close_test
ok 21 - context_post_close_null_test
context_test.c:1228:context_chain_plus_minus_listen_test result == GLOBUS_SUCCESS
ok 22 - context_post_close_test
not ok 23 - context_chain_plus_minus_listen_test

============================================================================
Testsuite summary for globus_net_manager 1.5
============================================================================
# TOTAL: 6
# PASS:  5
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0
============================================================================
See test/test-suite.log
Please report to https://github.com/gridcf/gct/issues
============================================================================
make[3]: Leaving directory '/builddir/build/BUILD/globus_net_manager-1.5/test'
make[3]: *** [Makefile:795: test-suite.log] Error 1
make[2]: *** [Makefile:903: check-TESTS] Error 2
make[1]: *** [Makefile:1009: check-am] Error 2
make: *** [Makefile:633: check-recursive] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.vjjYUs (%check)
    Bad exit status from /var/tmp/rpm-tmp.vjjYUs (%check)

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.10/fedora-rawhide-x86_64/01859691-globus-net-manager/

For all our attempts to build globus-net-manager with Python 3.10, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/package/globus-net-manager/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.10:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/

Let us know here if you have any questions.

Python 3.10 will be included in Fedora 35. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.10.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Mattias Ellert 2021-01-14 08:25:17 UTC
The package built fine using python3-3.10.0~a3-1.fc34.
It started failing with python3-3.10.0~a4-1.fc34 due to a regression in python:
https://bugs.python.org/issue42882
The regression has been fixed upstream:
https://github.com/python/cpython/commit/44bf57aca627bd11a08b12fe4e4b6a0e1d268862

Rebuilding the python3.10-3.10.0~a4-1.fc34 srpm with the changes from the above commit applied as an addditional patch, and then using the resulting rpms during the build of globus-net-manager succeeds.

Nothing to be done in the globus-net-manager package.

Reassigning to python3.10 where to actual bug is.

Comment 2 Tomáš Hrnčiar 2021-01-15 07:43:51 UTC
Please keep it assigned to globus-net-manager component. We need it for our tracking purposes. We will close it once it is fixed, thank you.

Comment 3 Miro Hrončok 2021-01-15 11:31:49 UTC
Mattias, do you want us to backport https://github.com/python/cpython/commit/44bf57aca627bd11a08b12fe4e4b6a0e1d268862 or is it Ok to leave this open till a5?

Comment 4 Mattias Ellert 2021-01-15 14:13:45 UTC
As long as you are still doing test builds in copr and it doesn't affect Rawhide, leaving it as it is is OK with me. As long as you are aware that the regression exists and is the cause of the issue.
I don't know if any other packages are affected by this. You might have statistics on how many packages that did build with a3 no longer built with a4. If there are many, then backporting might be a good idea.

Comment 5 Ben Cotton 2021-02-09 15:37:18 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.


Note You need to log in before you can comment on or make changes to this bug.